@echo off
if "%os%" == "Windows_NT" title PanuWorld MP3SPLIT (fast)
echo PanuWorld MP3SPLIT (fast) - Extract audible tracks from a MPEG1 Layer III file
echo.
if "%1" == "" goto :usage
if not exist lame.exe goto :usage
if not exist wavsplit.exe goto :usage

lame.exe --decode "%1" - | wavsplit.exe -

goto :end

:usage
echo MP3SFAST mp3file
echo.
echo mp3file  The MPEG1 Layer III file (stereo 44100 Hz) to decode and split
echo.
echo Generated track files will be 16-bit WAVE files TRACK01.WAV, TRACK02.WAV, etc. 
echo Normalization of the track volumes is not possible because extraction is done
echo directly without saving the complete WAVE file on the disk. Requires LAME.EXE
echo and WAVSPLIT.EXE in the working directory.
echo.

:end
if "%os%" == "Windows_NT" pause
